/*
 * segatex SELinux tool.
 *
 * Copyright (C) 2007 Shintaro Fujiwara 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * */

#ifndef PARSELINES_H
#define PARSELINES_H

#include <qstringlist.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qregexp.h>
#include <qdir.h>
#include <qtextedit.h>
#include <qsplitter.h>

class ParseLines: public QTextEdit
{
	Q_OBJECT
public:
	ParseLines();
	ParseLines(QSplitter*&);

public slots:

signals:

protected:

	QDir dir;
	QDir dir_curr;
	QDir dir_selpaw;
	QString dir_name;
	QString dir_name_curr;
	QString dir_name_selpaw;

	QString path;
	QString path_selpaw;
	QString path_to_be_written;
	QString path_to_be_written_ready;
	QString path_to_be_written_selpaw;
	QString forward_slash;
	QString name;
	QString name_selpaw;
	QString file_interface_name;
	QString file_interface_name_analized;
	QString file_interface_name_selpaw;
	QFile file_w;
	QFile file_w_ready;
	QFile file_w_selpaw;
	QStringList::Iterator it_d;
	QStringList::Iterator it_d_analized;
	QStringList::Iterator it_d_read;
	QStringList::Iterator it_d_selpaw;
	QStringList::Iterator it;
	QStringList::Iterator it_selpaw;
	QStringList files;
	QStringList files_selpaw;
	QStringList files_to_be_analized;
	QStringList files_to_be_read;

	QStringList lines;
	QStringList lines_break;//used in break functions
	QStringList lines_parse_admin;
	QStringList lines_parse_apps;
	QStringList lines_parse_kernel;
	QStringList lines_parse_services;
	QStringList lines_parse_system;
	QStringList lines_obj_perm_sets;
	QStringList lines_file_patterns;
	QStringList lines_analize_file_patterns;
	QStringList lines_ipc_patterns;
	QStringList lines_selpaw;

	QString line;
	QString line_started;
	QString line_ended;
	QString line_analized;//every lines put in this var
	QString line_analized_if_clause;
	QString line_analized_dollar_one;
	QString line_analized_dollar_two;
	QString line_analized_dollar_three;
	QString line_analized_dollar_four;
	QString line_analized_dollar_five;
	QString line_analized_dollar_six;
	QString line_analized_interface_name;
	QString line_interface;
	QString line_added;
	QString double_quote;
	QString brace_first;
	QString brace_end;
	QString cumma;
	QString semicolon;
	QString colon;
	QString space;
	QString line_first;
	QString line_middle;
	QString line_end;
	QString var1;
	QString var2;
	QString var3;
	QString var4;
	QString var5;
	QString var6;
	QString first_var;
	QString second_var;
	QString third_var;
	QString fourth_var;
	QString fifth_var;
	QString sixth_var;
	QString tab;
	QString layer_name,interface_name_this;
	QString interface_summary_this;
	QString filename_this;

private:

};

#endif
